
%global meadversion 2.2.20
%global namedversion 2.2.20.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package reactivex-rxjava2}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.2.20.redhat-00001

Name:           %{?scl_prefix}reactivex-rxjava2
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        RxJava is a Java VM implementation of Reactive Extensions
Group:          Development/Java

%if %with mead
Source100: rxjava-2.2.20.redhat-00001-project-sources.tar.gz
Source102: rxjava-2.2.20.redhat-00001-javadoc.jar
Source103: rxjava-2.2.20.redhat-00001.pom
Source104: rxjava-2.2.20.redhat-00001-sources.jar
Source105: rxjava-2.2.20.redhat-00001.jar
%endif

License:        ASL 2.0
URL:            https://github.com/ReactiveX/RxJava
BuildArch:      noarch
BuildRoot:      %{_tmppath}/reactivex-rxjava2-%{namedversion}-%{release}-root

%description
RxJava is a Java VM implementation of Reactive Extensions: a library for composing asynchronous and event-based programs by using observable sequences.

%if %with javadoc
%package javadoc
Summary:        Javadoc for reactivex-rxjava2
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%if 0
%setup -q -n %{pkg_name}-%{namedversion} -T -b 100
%endif

%setup -q -c -n %{pkg_name}-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/rxjava-%{namedversion}.jar %{buildroot}%{_javadir}/rxjava2-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/rxjava-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/rxjava2-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/rxjava-%{namedversion}-sources.jar %{buildroot}%{_javadir}/rxjava2-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/reactivex-rxjava2-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/reactivex-rxjava2-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/reactivex-rxjava2-%{namedversion} -x META-INF/\*
%{__ln_s} reactivex-rxjava2-%{namedversion} %{buildroot}%{_javadocdir}/reactivex-rxjava2
%endif

# docs
%{__mkdir_p} %{buildroot}/%{_docdir}/%{pkg_name}
#%{_builddir}/ is difference on el7 and el8 while "%setup -c"
%{__cp} -p $(find %{_builddir}/ -name LICENSE -print -quit) %{buildroot}/%{_docdir}/%{pkg_name}
%{__cp} -p $(find %{_builddir}/ -name README.md -print -quit) %{buildroot}/%{_docdir}/%{pkg_name}
%{__cp} -p $(find %{_builddir}/ -name CONTRIBUTING.md -print -quit) %{buildroot}/%{_docdir}/%{pkg_name}
%{__cp} -p $(find %{_builddir}/ -name DESIGN.md -print -quit) %{buildroot}/%{_docdir}/%{pkg_name}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{pkg_name}
%if 0
%doc LICENSE README.md CONTRIBUTING.md DESIGN.md
%endif
%{_javadir}/rxjava2-%{namedversion}.jar
%{_javadir}/rxjava2.jar
%if %with javadoc
%{_javadir}/rxjava2-%{namedversion}-javadoc.jar
%{_javadir}/rxjava2-javadoc.jar
%endif
%{_javadir}/rxjava2-%{namedversion}-sources.jar
%{_javadir}/rxjava2-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/reactivex-rxjava2-%{namedversion}
%{_javadocdir}/reactivex-rxjava2
%endif

%changelog
* Fri Mar 05 2021 Yong Yang <yyang@redhat.com> - 2.2.19-3.redhat_00001.1
- Wrapper again 2.2.20.redhat-00001

* Fri Mar 05 2021 Yong Yang <yyang@redhat.com> - 2.2.19-2.redhat_00001.1
- 2.2.20.redhat-00001

* Mon Nov 23 2020 Yong Yang <yyang@redhat.com> - 2.2.19-1.redhat_00001.1
- 2.2.19.redhat-00001


* Mon Nov 23 2020 Yong Yang <yyang@redhat.com> - 2.2.9-1.redhat_1.1
- 2.2.19.redhat-00001
